package com.ruoyi.project.document.service;

import java.util.List;
import com.ruoyi.project.document.domain.TPublicdocmenu;

/**
 * 公共盘文档目录Service接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface ITPublicdocmenuService 
{
    /**
     * 查询公共盘文档目录
     * 
     * @param id 公共盘文档目录ID
     * @return 公共盘文档目录
     */
    public TPublicdocmenu selectTPublicdocmenuById(Long id);

    /**
     * 查询公共盘文档ID
     *
     * @param catano 公共盘文档目录编号
     * @return 公共盘文档目录
     */
    public TPublicdocmenu selectTPublicdocmenuByCatano(String catano);

    /**
     * 查询公共盘文档目录列表
     * 
     * @param tPublicdocmenu 公共盘文档目录
     * @return 公共盘文档目录集合
     */
    public List<TPublicdocmenu> selectTPublicdocmenuList(TPublicdocmenu tPublicdocmenu);

    /**
     * 新增公共盘文档目录
     * 
     * @param tPublicdocmenu 公共盘文档目录
     * @return 结果
     */
    public int insertTPublicdocmenu(TPublicdocmenu tPublicdocmenu);

    /**
     * 修改公共盘文档目录
     * 
     * @param tPublicdocmenu 公共盘文档目录
     * @return 结果
     */
    public int updateTPublicdocmenu(TPublicdocmenu tPublicdocmenu);

    /**
     * 批量删除公共盘文档目录
     * 
     * @param ids 需要删除的公共盘文档目录ID
     * @return 结果
     */
    public int deleteTPublicdocmenuByIds(Long[] ids);

    /**
     * 删除公共盘文档目录信息
     * 
     * @param id 公共盘文档目录ID
     * @return 结果
     */
    public int deleteTPublicdocmenuById(Long id);
}
